%define srcname xf86-video-tdfx
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-tdfx
Version: 1.3.0
Release: alt3
Serial: 1
Summary: 3Dfx video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: tdfx.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server >= 1.0.99.901
Requires: xorg-x11-dri-tdfx xorg-x11-extensions-glx
Provides: x11-driver-tdfx

BuildRequires: libdrm-devel libmesa-devel pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
tdfx is an Xorg driver for 3Dfx video cards.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/tdfx.xinf

%files
%_modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Thu Mar 15 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt3
- GIT snapshot 2007-03-14 (347b27bc79838d17cbbae2afb36ce968c1eba620)
  + add DDC2/I2C support to the tdfx driver

* Sun Feb 18 2007 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt2
- drop xf86-video-tdfx-1.1.1-ddc2.patch (X server segfault on voodoo3)

* Thu Nov 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1
- 1.3.0

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt2
- added videoaliases file from RH

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt1
- 1.2.2

* Thu Aug 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt2
- build for i586 and x86_64

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.1-alt0.1
- initial release

